Subject: from .lib or .dll to .a
From: [email-masked] (Christian Ruetgers)

20 Jan 1999 21:01:06 -0800
Message-ID: <[email-masked]>
Mime-Version: 1.0
Content-Type: text/plain; charset=us-ascii
Content-Transfer-Encoding: 7bit
To: cygwin <[email-masked]>

Anybody out there, who might solve my problem:?

I want to change the "mysqlclient.lib" to a "libmysqlclient.a". The FAQ
sais:

$(DLLTOOL) --as=$(AS) --dllname DLLNAME --def DEFFILE --output-lib
LIBFILE 

Due to the missing DEFFILE I try:

dlltool --as=as --dllname mysqlclient.lib --output-lib libmysqlclient.a

This works fine, but I have to create a DEFFILE and don't know how to.

OK, do dlltool -h and try anything like:

dlltool --as=as --dllname mysqlclient.lib -z my.def --export-all-symbols
or
dlltool --as=as --dllname mysqlclient.lib --export-all-symbols
--output-lib libmysqlclient.a

but nothing works. A libmysqlclient.a will be created with a file lenght
of 1530 byte.

Any ideas?

--
  ch.   |            Christian Ruetgers               |
        | 1komma6- Multimediale Dienstleistungen GmbH |
        |  Fon: (0251) 57297  Fax: 57296 Priv: 236076 |
        |      visit "http://www.1komma6.com"!        |
-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".